#include <stdio.h>
#include <stdarg.h>
#include "sets.h"
/***************************************************************************/
               int set_assign(set *destination, set *source)
/***************************************************************************/
/* This function assigns a set value to a set variable or the value of
   one set variable to another.
*/
{
int i;

	/* check types */
	if(check_set_types(destination,source) == SUCCESS)
		{
		for(i=0;i<destination->member_recs;i++)
			destination->word[i] = source->word[i];

		/* correct the member count in the destination set record */
		destination->nmembers = source->nmembers;
		return SUCCESS;
		}
	else
		return FAILURE;

}  /* end set_assign */

